# ReflectionClass::getTraitNames

(PHP 5 >= 5.4.0, PHP 7)

ReflectionClass::getTraitNames — Returns an array of names of traits used by this class

### Description

public ReflectionClass::getTraitNames ( void ) : array

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns an array with trait names in values. Returns `NULL` in case of an error.